/*
File: game-helper.css
Domain: Man
Author: UI Team
Version: 1.0.10
Date: 27 Feb 2025
*/
.device-app #app .game-wrap .gamebox {
  min-height: 100vh;
}
#app {
  background: var(--color-white);
}
.game-wrap {
  background: var(--mobile-background);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}
.game-wrap .hide {
  display: none !important;
}
.game-wrap .disabled {
  pointer-events: none;
}
.game-wrap .img-responsive {
  width: 100%;
  max-width: 100%;
  vertical-align: middle;
}
.game-wrap .button {
  padding: 16px 0;
  max-width: 600px;
  width: 100%;
  margin: 0 auto;
  border-radius: 2px;
  text-decoration: none;
  display: block;
  cursor: pointer;
  background: transparent;
  color: var(--primary-color);
  border: 1px solid var(--primary-color);
}
.game-wrap .button.disabled {
  opacity: 0.6;
}
.game-wrap .button.fill {
  background: var(--primary-color);
  color: var(--color-white);
}
.game-wrap .button svg {
  vertical-align: middle;
  display: inline-block;
  margin-right: 8px;
}
.game-wrap .button svg path {
  fill: currentColor;
}
.game-wrap .link-btn {
  color: var(--secondary-color);
  cursor: pointer;
}
.game-wrap .base-flex-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  margin: 16px 0 8px;
  gap: 8px;
}
.game-wrap .game-inner {
  margin: 0 auto;
  max-width: 100%;
  text-align: center;
  position: relative;
}
.game-wrap .gamebox {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  min-height: calc(100vh - 104px);
  position: relative;
}
.game-wrap .gamebox .game-icon {
  max-width: 220px;
  margin-bottom: 35%;
}
.game-wrap .gamebox .game-info {
  width: 100%;
  padding-bottom: 20px;
}
.game-wrap .gamebox .game-info .game-info-inner {
  padding: 0 20px;
  color: var(--color-theme);
}
.game-wrap .gamebox .game-info .game-info-inner .title {
  margin: 0 0 4px 0;
}
.game-wrap .gamebox .game-info .game-info-inner .sub-title {
  margin: 4px 0 16px 0;
}
.game-wrap .win-box {
  width: 100%;
  transform: translateY(-50%);
  position: absolute;
  top: 50%;
}
.game-wrap .win-box .win-logo {
  padding: 0 38px;
}
.game-wrap .game-Win-Box {
  padding: 0;
}
.game-wrap .claim-box {
  padding: 20px;
}
.game-wrap .claim-box .win-title {
  margin: 8px auto 16px;
}
.game-wrap .claim-box .win-title img {
  width: 100%;
}
/* Reward Card CSS */
.game-wrap .reward-card {
  background: var(--color-white);
  border: 1px solid rgb(229 229 229);
  border-radius: 12px;
  padding: 16px 12px;
  width: 100%;
  margin-bottom: 16px;
  box-sizing: border-box;
}
.game-wrap .reward-card .brand-txt {
  margin: 12px 0 8px;
}
.game-wrap .reward-card .brand-img {
  width: 100%;
  max-width: 100%;
  vertical-align: middle;
}
.game-wrap .reward-card .till-valid {
  color: var(--secondary-text-color);
  margin-bottom: 8px;
}
.game-wrap .reward-card .logo-holder {
  width: 120px;
  padding: 10px 15px;
  box-sizing: border-box;
  background: var(--color-white);
  border: 1px solid var(--tertiary-text-color);
  border-radius: 10px;
  margin: 0 auto 16px;
  position: relative;
}
.game-wrap .reward-card .pera-text {
  margin: 8px 0 16px;
  color: var(--secondary-text-color);
}
.game-wrap .claim-wrap .floating-form {
  background: var(--color-white);
  width: 100%;
  padding-top: 10px;
  border-radius: 2px;
  overflow: hidden;
}
.game-wrap .claim-wrap .floating-form .floating-label {
  position: relative;
  padding-top: 4px;
}
.game-wrap .claim-wrap .floating-form .floating-input {
  padding: 0 12px 4px;
  display: block;
  width: 100%;
  height: 30px;
  background-color: transparent;
  border: none;
  border-bottom: 2px solid var(--secondary-text-color);
}
.game-wrap .claim-wrap .floating-form .floating-input:focus {
  outline: none;
  border-bottom: 2px solid var(--color-black);
}
.game-wrap .claim-wrap .floating-form .normal-label {
  color: #999;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  position: absolute;
  pointer-events: none;
  left: 12px;
  top: 0;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
  text-align: left;
}
.game-wrap .claim-wrap .floating-form .floating-input:focus ~ label,
.game-wrap .claim-wrap .floating-form .floating-input:not(:placeholder-shown) ~ label {
  top: -8px;
  font-size: 10px;
  line-height: 12px;
  color: var(--secondary-text-color);
}
.game-wrap .claim-wrap .floating-form .floating-input:focus ~ .bar:before,
.game-wrap .claim-wrap .floating-form .floating-input:focus ~ .bar:after {
  width: 50%;
}
.game-wrap .claim-wrap .floating-form input:-webkit-autofill,
.game-wrap .claim-wrap .floating-form input:-webkit-autofill:hover,
.game-wrap .claim-wrap .floating-form input:-webkit-autofill:focus {
  background-color: var(--color-white);
  transition: background-color 5000s ease-in-out 0s;
}
.game-wrap .coupon-wrap {
  margin-top: 0;
}
/* Coupon Box CSS */
.game-wrap .coupon-wrap .coupon-box {
  display: flex;
  justify-content: space-between;
  color: var(--primary-text-color);
  background: linear-gradient(180deg, var(--color-white) 0%, var(--color-white) 100%);
  border: 1px dashed var(--tertiary-text-color);
  box-shadow: 0px 4px 35px var(--color-white);
  border-radius: 4px;
  padding: 12px 8px 12px;
  position: relative;
  font-size: 10px;
  font-weight: 600;
  line-height: 12px;
  letter-spacing: 1.5px;
  text-transform: uppercase;
  margin-bottom: 8px;
}
.game-wrap .coupon-wrap .coupon-box:before {
  content: '';
  background: var(--color-white);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  width: 16px;
  height: 16px;
  transform: translateY(-50%);
}
.game-wrap .coupon-wrap .coupon-box:after {
  content: '';
  background: var(--color-white);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  width: 16px;
  height: 16px;
  transform: translateY(-50%);
}
.game-wrap .coupon-wrap .coupon-box:before {
  border-right: 1px dashed var(--tertiary-text-color);
  left: -8px;
}
.game-wrap .coupon-wrap .coupon-box:after {
  border-left: 1px dashed var(--tertiary-text-color);
  right: -8px;
}
.game-wrap .coupon-wrap .coupon-box.success {
  background: #ebf6f1;
  border: 1px dashed #008945;
}
.game-wrap .coupon-wrap .coupon-box.success:before {
  border-right: 1px dashed #008945;
}
.game-wrap .coupon-wrap .coupon-box.success:after {
  border-left: 1px dashed #008945;
}
.game-wrap .coupon-wrap .coupon-code {
  background: transparent;
  border: none;
  color: var(--primary-text-color);
  letter-spacing: 0.25px;
  text-align: left;
  text-transform: uppercase;
  padding-left: 8px;
  width: 80%;
  opacity: 1;
  transition: all 3s ease;
}
.game-wrap .coupon-wrap .copy-clipboard-btn {
  background: transparent;
  color: var(--primary-text-color);
  border: none;
  margin: 0;
  padding: 0 16px 0 0;
  cursor: pointer;
  text-align: right;
  width: 38%;
  opacity: 1;
  transition: all 3s ease;
}
.game-wrap .coupon-wrap .copy-clipboard-btn .copy-text {
  color: var(--secondary-color);
  display: inline-block;
}
.game-wrap .coupon-wrap .copy-clipboard-btn .copy-success {
  color: rgba(0, 137, 69, 1);
  display: none;
}
.game-wrap .coupon-wrap .copy-clipboard-btn .copy-success svg {
  vertical-align: middle;
}
.game-wrap .coupon-wrap .copy-clipboard-btn.success .copy-text {
  display: none;
}
.game-wrap .coupon-wrap .copy-clipboard-btn.success .copy-success {
  display: block;
}
.game-wrap .tnc-wrapper {
  background: var(--secondary-text-color);
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: none;
}
.game-wrap .tnc-wrapper.show {
  display: block;
}
.game-wrap .tnc-wrapper .tnc-inner {
  background: var(--color-white);
  border-radius: 16px 16px 0 0;
  padding: 32px 20px 16px;
  text-align: left;
  position: absolute;
  bottom: 0;
  transform: translateY(0%);
  box-sizing: border-box;
  width: 100%;
}
.game-wrap .tnc-wrapper .tnc-close {
  display: inline-block;
  width: 24px;
  height: 24px;
  position: absolute;
  top: 18px;
  right: 18px;
  cursor: pointer;
  z-index: 1;
}
.game-wrap .tnc-wrapper header {
  color: var(--primary-text-color);
  font-weight: 600;
  font-size: 24px;
  margin-bottom: 16px;
}
.game-wrap .tnc-wrapper .tnc-list {
  font-size: 12px;
  line-height: 1.4;
  padding-left: 20px;
  height: 240px;
  overflow: auto;
  margin: 16px auto;
}
.game-wrap .tnc-wrapper .tnc-list li {
  list-style-type: disc;
}
.game-wrap .tnc-wrapper .tnc-inner ul li a {
  color: var(--primary-color);
  text-decoration: none;
  cursor: pointer;
}
.game-wrap .error {
  justify-content: center;
}
.game-wrap .error .share-box {
  display: none;
  padding: 10px 16px;
  margin-top: 8px;
}
.game-wrap .error .share-box .share-text {
  margin-right: 8px;
}
.game-wrap .error .share-icon svg {
  vertical-align: middle;
}
/*already claim css*/
.game-wrap .coupon-wrap .coupon-box-error {
  color: #c83602;
  margin-bottom: 8px;
}
.game-wrap .coupon-wrap .coupon-box-error svg {
  display: inline-block;
  vertical-align: middle;
}
/*For Nykaa Play*/
#subscribeBtn {
  margin-bottom: 16px;
}
/*Animation style*/
.game-wrap .dissolve {
  animation: fadeIn 2s;
}
.game-wrap .card-swip-left {
  animation: cardSwipLeft 1s;
}
.game-wrap .card-swip-right {
  animation: cardSwipRight 1s;
}
.game-wrap .card-bottom-to-up {
  animation: bottomToUp 300ms;
}
.game-wrap .card-top-to-bottom {
  animation: topToBottom 300ms;
}
@keyframes progress {
  from {
    stroke-dashoffset: 360;
  }
  to {
    stroke-dashoffset: 0;
  }
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes cardSwipLeft {
  0% {
    transform: translateX(0rem) rotate(0deg);
  }
  100% {
    transform: translateX(-30rem) rotate(-30deg);
  }
}
@keyframes cardSwipRight {
  0% {
    transform: translateX(30rem) rotate(30deg);
  }
  100% {
    transform: translateX(0rem) rotate(0deg);
  }
}
@keyframes bottomToUp {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0%);
  }
}
@keyframes topToBottom {
  0% {
    transform: translateY(0%);
  }
  100% {
    transform: translateY(100%);
  }
}
/* Login wrapper */
.login-wrapper {
  background: var(--secondary-text-color);
  margin: 0 auto;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.4);
  z-index: 9999;
  display: none;
  justify-content: center;
  align-items: center;
}
.login-wrapper.show {
  display: flex;
}
.login-wrapper .login-inner {
  position: relative;
  margin: 0;
  border-radius: 16px;
  min-width: 280px;
  max-width: 90vw;
  box-shadow: 0 4px 24px rgba(0, 0, 0, 0.15);
  transform: none;
  bottom: auto;
  background: var(--color-white);
  border-radius: 16px;
  padding: 32px 20px 16px;
  text-align: left;
  text-align: center;
  margin: 0 8px;
}
.login-wrapper .login-header {
  color: var(--primary-text-color);
  font-weight: 600;
  font-size: 24px;
  margin-bottom: 16px;
}
.login-wrapper .login-pera {
  margin-bottom: 24px;
}
/*css for desktop*/
@media (min-width: 640px) {
  .game-wrap {
    background: var(--desktop-background);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }
  .game-wrap .gamebox {
    min-height: 650px;
  }
  .game-wrap .game-inner {
    max-width: 360px;
  }
  .game-wrap .claim-box .share-box {
    display: none;
  }
}
